Debian Bug report logs - #505924
ITP: cwm -- a lightweight and efficient window manager for X11

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Recai Oktaş <roktas@debian.org>

Date: Sun, 16 Nov 2008 21:48:02 UTC

Owned by: James McDonald <james@jamesmcdonald.com>

Severity: wishlist

Fix blocked by 739056: RFS: cwm/5.5-1 [ITP] -- Lightweight and efficient window manager for X11

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, "Recai Oktaş" <roktas@debian.org>:
Bug#505924; Package wnpp. (Sun, 16 Nov 2008 21:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Recai Oktaş <roktas@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, "Recai Oktaş" <roktas@debian.org>. (Sun, 16 Nov 2008 21:48:43 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Recai Oktaş <roktas@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: cwm -- a lightweight and efficient window manager for X11
Date: Sun, 16 Nov 2008 23:38:15 +0200
Package: wnpp
Severity: wishlist
Owner: "Recai Oktaş" <roktas@debian.org>

* Package name    : cwm
  Version         : 20081115 (CVS snapshot)
  Upstream Authors: Marius Aamodt Eriksen <marius@monkey.org>
                    Andy Adamson <dros@monkey.org>
                    et al.
* URL             : http://xenocara.org/
* License         : BSD
  Programming Lang: C
  Description     : a lightweight and efficient window manager for X11

cwm (calmwm) is a window manager for X11 which contains many features that
concentrate on the efficiency and transparency of window management.  It
also aims to maintain the simplest and most pleasant aesthetic.

cwm has been developed by the OpenBSD developers and comes as part of the
OpenBSD base system.

P.S.  An early release can be found at:
        http://people.debian.org/~roktas/packages/cwm_20081115-1_i386.deb
      Git repository for the package:
        http://git.00101010.info/?p=debcwm.git

-- 
roktas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Recai Oktaş" <roktas@debian.org>:
Bug#505924; Package wnpp. (Mon, 24 May 2010 19:19:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Recai Oktaş" <roktas@debian.org>. (Mon, 24 May 2010 19:19:29 GMT) Full text and rfc822 format available.

Message #10 received at 505924@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 505924@bugs.debian.org
Cc: control@bugs.debian.org
Subject: cwm: changing back from ITP to RFP
Date: Mon, 24 May 2010 19:06:41 +0000
retitle 505924 RFP: cwm -- a lightweight and efficient window manager for X11
noowner 505924
thanks

Hi,

This is an automatic email to change the status of cwm back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 18 months.

If you are still interested in adopting cwm, please send a mail to
<control@bugs.debian.org> with:

 retitle 505924 ITP: cwm -- a lightweight and efficient window manager for X11
 owner 505924 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <505924@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team




Changed Bug title to 'RFP: cwm -- a lightweight and efficient window manager for X11' from 'ITP: cwm -- a lightweight and efficient window manager for X11' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:32:18 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "Recai Oktaş" <roktas@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:32:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#505924; Package wnpp. (Wed, 02 May 2012 12:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Neukirchen <chneukirchen@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 02 May 2012 12:51:14 GMT) Full text and rfc822 format available.

Message #19 received at 505924@bugs.debian.org (full text, mbox):

From: Christian Neukirchen <chneukirchen@gmail.com>
To: 505924@bugs.debian.org
Subject: Re: RFP: cwm -- a lightweight and efficient window manager for X11
Date: Wed, 02 May 2012 14:49:47 +0200
I am the maintainer of a portable version of cwm and have prepared a
first stable release which can be found at
http://chneukirchen.org/releases/cwm-5.1.tar.gz

The project itself is maintained in the "linux" branch of
https://github.com/chneukirchen/cwm

I would be very grateful if this project was included in Debian.

-- 
Christian Neukirchen  <chneukirchen@gmail.com>  http://chneukirchen.org




Changed Bug title to 'ITP: cwm -- a lightweight and efficient window manager for X11' from 'RFP: cwm -- a lightweight and efficient window manager for X11' Request was from James McDonald <james@jamesmcdonald.com> to control@bugs.debian.org. (Sat, 16 Jun 2012 14:57:06 GMT) Full text and rfc822 format available.

Owner recorded as James McDonald <james@jamesmcdonald.com>. Request was from James McDonald <james@jamesmcdonald.com> to control@bugs.debian.org. (Sat, 16 Jun 2012 14:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#505924; Package wnpp. (Sat, 16 Jun 2012 15:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to James McDonald <james@jamesmcdonald.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 16 Jun 2012 15:06:06 GMT) Full text and rfc822 format available.

Message #28 received at 505924@bugs.debian.org (full text, mbox):

From: James McDonald <james@jamesmcdonald.com>
To: "505924@bugs.debian.org" <505924@bugs.debian.org>
Subject: Basic cwm package created
Date: Sat, 16 Jun 2012 16:56:20 +0200
I've created a basic package and uploaded it to http://mentors.debian.net/package/cwm

I will work to improve the packaging and try to find a sponsor.

-- 
James McDonald <james@jamesmcdonald.com>



Added blocking bug(s) of 505924: 677935 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 22 Jun 2012 15:39:38 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, James McDonald <james@jamesmcdonald.com>:
Bug#505924; Package wnpp. (Sun, 16 Sep 2012 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, James McDonald <james@jamesmcdonald.com>. (Sun, 16 Sep 2012 12:21:03 GMT) Full text and rfc822 format available.

Message #35 received at 505924@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: james@jamesmcdonald.com
Cc: 677935@bugs.debian.org, 505924@bugs.debian.org
Subject: cwm
Date: Sun, 16 Sep 2012 13:18:15 +0100
James,
	I use LXDE and I would like give cwm a go. If I can get it working on
my system I'll certainly work with you to get it uploaded into Debian. I
would not really call myself a competent X11 administrator so maybe I am
not your ideal uploader. On the other hand maybe I'm ideal because I
will ask all the right stupid questions. And because they're stupid
questions please feel free to tell me why they are stupid questions.

So here are some stupid questions for starters:
1,) I'm running LXDE and openbox and I know nothing about X11. How do I
get cwm working? Could I have that in a README.Debian file please?
2.) Why doesn't the package have a "Provides: x-window-manager" clause
like openbox does?
3.) What steps have you taken to check that cwm will fit into the Debian
environment? Have you looked at say
http://wiki.debian.org/WindowManager? Compared with openbox?

Then there are issues I picked up on myself but found reiterated in the
existing bug report:

4.) "I would remove the last sentence of the first
paragraph though (about the code that used to come from 9wm), as it
doesn't seem very relevant anymore."
More generally I feel your long description should answer the following
questions: What is cwm?; Why might I want to use cwm? Why might I not
want want to use cwm?

I think you're almost there but as it stands the bits about .cwmrc and
virtual desktops seem out of place. You may want that information in
there but I would suggest thinking about it again.

5.) "And if you don't use a VCS for your packaging, you should remove
those commented-out lines."
Have you considered using collab-maint as a repository?
http://wiki.debian.org/Alioth/PackagingProject?highlight=%28CategoryAlioth%29

6.) "There is no upstream changelog as there is none
provided." "The README doesn't contain useful information for end-users,
so you shouldn't install it."
Actually the README contains the upstream changelog. So you should
install the README as the upstream changelog. [More strategically you
could ask upstream to generate a report from the Openbsd repository to
get an upstream changelog. Or you could do that yourself perhaps.]

For completeness I'll also reiterate the comments from Benoit Knecht:
7.) In debian/control, the debhelper version dependency should simply be
    ">= 9" instead of ">= 9.0.0".

8.) And in the same file, the long description contains a few
    double-spaces.

9.) "But prehaps you should consider Depending on xserver-xorg (or at
least Recommend it, if that makes more sense). You could also Suggest
xinit, as it seems like a nice way to start such a minimalistic window
manager." [7 & 8 seem sensible to me. I cannot comment on this one.]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#505924; Package wnpp. (Thu, 20 Sep 2012 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to James McDonald <james@jamesmcdonald.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 20 Sep 2012 14:39:03 GMT) Full text and rfc822 format available.

Message #40 received at 505924@bugs.debian.org (full text, mbox):

From: James McDonald <james@jamesmcdonald.com>
To: Nicholas Bamber <nicholas@periapt.co.uk>, 505924@bugs.debian.org
Cc: 677935@bugs.debian.org
Subject: Re: Bug#505924: cwm
Date: Thu, 20 Sep 2012 16:29:04 +0200
On 16 Sep 2012, at 14:18, Nicholas Bamber <nicholas@periapt.co.uk> wrote:

Hi Nicholas,

Thanks for your comments!

> So here are some stupid questions for starters:
> 1,) I'm running LXDE and openbox and I know nothing about X11. How do I
> get cwm working? Could I have that in a README.Debian file please?

It should simply be a case of selecting 'cwm' from your X login manager or adding it to your .xsession if you use one. The environment with cwm is very simple; it doesn't display anything by default, so you'll just get a blank screen. You can press eg Ctrl-Alt-Enter to spawn a terminal.

The keybindings, behaviour and config are thoroughly documented in the man pages. I could put in a README.Debian referring the user to those, but I didn't think that was enough information to merit an extra file.

> 2.) Why doesn't the package have a "Provides: x-window-manager" clause
> like openbox does?

Good point, it should have! I will add this.

> 3.) What steps have you taken to check that cwm will fit into the Debian
> environment? Have you looked at say
> http://wiki.debian.org/WindowManager? Compared with openbox?

I did set it up to be selectable as a window manager from KDM/GDM, but it should also be possible to set up as an x-window-manager via alternatives. I'll figure out how to do that and make sure it works.

> Then there are issues I picked up on myself but found reiterated in the
> existing bug report:
> 
> 4.) "I would remove the last sentence of the first
> paragraph though (about the code that used to come from 9wm), as it
> doesn't seem very relevant anymore."
> More generally I feel your long description should answer the following
> questions: What is cwm?; Why might I want to use cwm? Why might I not
> want want to use cwm?
> 
> I think you're almost there but as it stands the bits about .cwmrc and
> virtual desktops seem out of place. You may want that information in
> there but I would suggest thinking about it again.

The object was to try to give people an overview of where this window manager comes from and the sort of experience it gives with some of the text taken from the upstream description. It could possibly do with some tidying.

> 5.) "And if you don't use a VCS for your packaging, you should remove
> those commented-out lines."
> Have you considered using collab-maint as a repository?
> http://wiki.debian.org/Alioth/PackagingProject?highlight=%28CategoryAlioth%29

I don't think I can use that without being a Debian developer/maintainer. I am considering moving the packaging into a git repository, possibly tracking from upstream, but I haven't had the time to experiment with this. The changes are very small at present, so they are quite easy to maintain without.

> 6.) "There is no upstream changelog as there is none
> provided." "The README doesn't contain useful information for end-users,
> so you shouldn't install it."
> Actually the README contains the upstream changelog. So you should
> install the README as the upstream changelog. [More strategically you
> could ask upstream to generate a report from the Openbsd repository to
> get an upstream changelog. Or you could do that yourself perhaps.]

Good ideas, thanks.

> For completeness I'll also reiterate the comments from Benoit Knecht:
> 7.) In debian/control, the debhelper version dependency should simply be
>    ">= 9" instead of ">= 9.0.0".

Will fix.

> 
> 8.) And in the same file, the long description contains a few
>    double-spaces.

Text from upstream! I'll fix that too.

> 9.) "But prehaps you should consider Depending on xserver-xorg (or at
> least Recommend it, if that makes more sense). You could also Suggest
> xinit, as it seems like a nice way to start such a minimalistic window
> manager." [7 & 8 seem sensible to me. I cannot comment on this one.]

Recommendation might make sense, but not dependency as it's possible to run a window manager on one host for an X server on a remote host. I will look at what some other simple window managers do.

I will make some changes as soon as I can! It might take a few days though, as I'm rather busy at the moment.

Cheers,
James


Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, James McDonald <james@jamesmcdonald.com>:
Bug#505924; Package wnpp. (Fri, 21 Sep 2012 00:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, James McDonald <james@jamesmcdonald.com>. (Fri, 21 Sep 2012 00:00:03 GMT) Full text and rfc822 format available.

Message #45 received at 505924@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: James McDonald <james@jamesmcdonald.com>
Cc: 505924@bugs.debian.org, 677935@bugs.debian.org
Subject: Re: Bug#505924: cwm
Date: Fri, 21 Sep 2012 00:56:59 +0100
James,
	I am delighted to hear from you.

	I followed your advice and it works. I can see the attraction of using
cwm this way. However it might just be a step too far for me as copy and
paste seems not to work.

	I have managed to get cwm sort of working. If I edit
/etc/xdg/lxsession/LXDE/desktop.conf so that the first section is:

[Session]
window_manager=cwm-lxde

then indeed I do get cwm. However the key bindings (as documented in the
man page) do not work. However I also notice that even under
LXDE/openbox the xterm key bindings do not work. So I suspect it might
be an LXDE issue. I'll try and follow up with the LXDE people.


>> 5.) "And if you don't use a VCS for your packaging, you should remove
>> those commented-out lines."
>> Have you considered using collab-maint as a repository?
>> http://wiki.debian.org/Alioth/PackagingProject?highlight=%28CategoryAlioth%29
>
> I don't think I can use that without being a Debian
> developer/maintainer. I am considering moving the packaging into a git
> repository, possibly tracking from upstream, but I haven't had the
> time
> to experiment with this. The changes are very small at present, so
> they are quite easy to maintain without.
>

Actually I can fairly easily sponsor you to get access to collab-maint
and I've done so for people before. On the other hand github is fine and
I use it for some of my packages. If you really want to own the
packaging then go for github or equivalent. If you're happy to let DD's
step in and fix problems directly in the repository then go for
collab-maint.

On 20/09/12 15:29, James McDonald wrote:
> 
> Recommendation might make sense, but not dependency as it's possible to run a window manager on one host for an X server on a remote host. I will look at what some other simple window managers do.

Could be Suggests as well.
> 
> I will make some changes as soon as I can! It might take a few days though, as I'm rather busy at the moment.
> 
> Cheers,
> James

I was really hoping that this would be a drop in replacement for
openbox. I am not clear if this is doable. I am sure that the
README.Debian should document this (and similar) experiments.

Anyway the package seems to do what it says on the tin. So I think there
is a good chance I should be able to upload your next build.

Nicholas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#505924; Package wnpp. (Sat, 27 Oct 2012 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to James McDonald <james@jamesmcdonald.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 27 Oct 2012 15:00:03 GMT) Full text and rfc822 format available.

Message #50 received at 505924@bugs.debian.org (full text, mbox):

From: James McDonald <james@jamesmcdonald.com>
To: Nicholas Bamber <nicholas@periapt.co.uk>
Cc: 505924@bugs.debian.org, 677935@bugs.debian.org
Subject: Re: Bug#505924: cwm
Date: Sat, 27 Oct 2012 16:47:11 +0200
Hi Nicholas,

Finally found some time to implement these changes!

On 21 Sep 2012, at 01:56, Nicholas Bamber <nicholas@periapt.co.uk> wrote:

> 	I followed your advice and it works. I can see the attraction of using
> cwm this way. However it might just be a step too far for me as copy and
> paste seems not to work.

That might depend on which software you're using. For example, xterm will only support select-to-copy, middleclick-to-paste whereas eg gnome-terminal supports copy and paste in the Gnome/KDE fashion as well. The window manager itself doesn't restrict this but I know I've had similar frustrations mixing apps from different toolkits.

> then indeed I do get cwm. However the key bindings (as documented in the
> man page) do not work. However I also notice that even under
> LXDE/openbox the xterm key bindings do not work. So I suspect it might
> be an LXDE issue. I'll try and follow up with the LXDE people.

That's interesting. I haven't had a chance to experiment with LXDE but that does sound like something else in its session is trapping key bindings.

> Actually I can fairly easily sponsor you to get access to collab-maint
> and I've done so for people before. On the other hand github is fine and
> I use it for some of my packages. If you really want to own the
> packaging then go for github or equivalent. If you're happy to let DD's
> step in and fix problems directly in the repository then go for
> collab-maint.

Getting access to collab-maint would be great. I have actually pushed my changes to github at https://github.com/jamesmcdonald/cwm/tree/v5.1-debian but I've still not set it up to use git-buildpackage. It's really just so I can track my own changes at this point. I intend to set cwm up for git-based builds in the future, even if just so I can learn how to do that.

> On 20/09/12 15:29, James McDonald wrote:
>> 
>> Recommendation might make sense, but not dependency as it's possible to run a window manager on one host for an X server on a remote host. I will look at what some other simple window managers do.
> 
> Could be Suggests as well.

I've investigated several other window managers and it looks like they don't make any recommendation/suggestion about having X itself installed. They only recommend associated projects, like metacity recommends gnome-session. On that basis, I should probably omit this.

> I was really hoping that this would be a drop in replacement for
> openbox. I am not clear if this is doable. I am sure that the
> README.Debian should document this (and similar) experiments.

In theory it should be possible to use it like that. Unfortunately it depends on the restrictions imposed by the environment (LXDE, Gnome etc). I shall set up a machine to experiment with this, but I guess it will be a while before I have any coherent documentation. I agree that it would be nice to be able to provide some tips for this sort of usage. Do you feel this is necessary before the package is uploaded?

> Anyway the package seems to do what it says on the tin. So I think there
> is a good chance I should be able to upload your next build.

I've uploaded the latest version to mentors; here's a log from git of the changes I've made:

Fixed double spaces in package description.
Changed debhelper dependency from >=9.0.0 to >=9
Removed references to 9wm from the package description.
Added Provides: x-window-manager
Added scripts to handle x-window-manager alternative

Please let me know what you think.

Cheers,
James




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, James McDonald <james@jamesmcdonald.com>:
Bug#505924; Package wnpp. (Sat, 27 Oct 2012 22:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, James McDonald <james@jamesmcdonald.com>. (Sat, 27 Oct 2012 22:27:06 GMT) Full text and rfc822 format available.

Message #55 received at 505924@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: James McDonald <james@jamesmcdonald.com>
Cc: 505924@bugs.debian.org, 677935@bugs.debian.org
Subject: Re: Bug#505924: cwm
Date: Sat, 27 Oct 2012 23:24:24 +0100
James,
	Thanks. Unfortunately I have got two RC bugs that need fixing urgently.
It may be a week or more before I can get round to looking at it. But as
said before I don't think there are any major issues preventing upload.

On 27/10/12 15:47, James McDonald wrote:
> Hi Nicholas,
> 
> Finally found some time to implement these changes!
> 
> On 21 Sep 2012, at 01:56, Nicholas Bamber <nicholas@periapt.co.uk> wrote:
> 
>> 	I followed your advice and it works. I can see the attraction of using
>> cwm this way. However it might just be a step too far for me as copy and
>> paste seems not to work.
> 
> That might depend on which software you're using. For example, xterm will only support select-to-copy, middleclick-to-paste whereas eg gnome-terminal supports copy and paste in the Gnome/KDE fashion as well. The window manager itself doesn't restrict this but I know I've had similar frustrations mixing apps from different toolkits.
> 
>> then indeed I do get cwm. However the key bindings (as documented in the
>> man page) do not work. However I also notice that even under
>> LXDE/openbox the xterm key bindings do not work. So I suspect it might
>> be an LXDE issue. I'll try and follow up with the LXDE people.
> 
> That's interesting. I haven't had a chance to experiment with LXDE but that does sound like something else in its session is trapping key bindings.
> 
>> Actually I can fairly easily sponsor you to get access to collab-maint
>> and I've done so for people before. On the other hand github is fine and
>> I use it for some of my packages. If you really want to own the
>> packaging then go for github or equivalent. If you're happy to let DD's
>> step in and fix problems directly in the repository then go for
>> collab-maint.
> 
> Getting access to collab-maint would be great. I have actually pushed my changes to github at https://github.com/jamesmcdonald/cwm/tree/v5.1-debian but I've still not set it up to use git-buildpackage. It's really just so I can track my own changes at this point. I intend to set cwm up for git-based builds in the future, even if just so I can learn how to do that.
> 
>> On 20/09/12 15:29, James McDonald wrote:
>>>
>>> Recommendation might make sense, but not dependency as it's possible to run a window manager on one host for an X server on a remote host. I will look at what some other simple window managers do.
>>
>> Could be Suggests as well.
> 
> I've investigated several other window managers and it looks like they don't make any recommendation/suggestion about having X itself installed. They only recommend associated projects, like metacity recommends gnome-session. On that basis, I should probably omit this.
> 
>> I was really hoping that this would be a drop in replacement for
>> openbox. I am not clear if this is doable. I am sure that the
>> README.Debian should document this (and similar) experiments.
> 
> In theory it should be possible to use it like that. Unfortunately it depends on the restrictions imposed by the environment (LXDE, Gnome etc). I shall set up a machine to experiment with this, but I guess it will be a while before I have any coherent documentation. I agree that it would be nice to be able to provide some tips for this sort of usage. Do you feel this is necessary before the package is uploaded?
> 
>> Anyway the package seems to do what it says on the tin. So I think there
>> is a good chance I should be able to upload your next build.
> 
> I've uploaded the latest version to mentors; here's a log from git of the changes I've made:
> 
> Fixed double spaces in package description.
> Changed debhelper dependency from >=9.0.0 to >=9
> Removed references to 9wm from the package description.
> Added Provides: x-window-manager
> Added scripts to handle x-window-manager alternative
> 
> Please let me know what you think.
> 
> Cheers,
> James
> 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, James McDonald <james@jamesmcdonald.com>:
Bug#505924; Package wnpp. (Wed, 14 Nov 2012 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, James McDonald <james@jamesmcdonald.com>. (Wed, 14 Nov 2012 23:30:03 GMT) Full text and rfc822 format available.

Message #60 received at 505924@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: James McDonald <james@jamesmcdonald.com>
Cc: 505924@bugs.debian.org, 677935@bugs.debian.org
Subject: Re: Bug#505924: cwm
Date: Wed, 14 Nov 2012 23:25:57 +0000
James,
	I got round to downloading the package today.

On 27/10/12 15:47, James McDonald wrote:
> Hi Nicholas,
> 
> Finally found some time to implement these changes!
> 
> On 21 Sep 2012, at 01:56, Nicholas Bamber <nicholas@periapt.co.uk> wrote:
> 
>> 	I followed your advice and it works. I can see the attraction of using
>> cwm this way. However it might just be a step too far for me as copy and
>> paste seems not to work.
> 
> That might depend on which software you're using. For example, xterm will only support select-to-copy, middleclick-to-paste whereas eg gnome-terminal supports copy and paste in the Gnome/KDE fashion as well. The window manager itself doesn't restrict this but I know I've had similar frustrations mixing apps from different toolkits.
> 
>> then indeed I do get cwm. However the key bindings (as documented in the
>> man page) do not work. However I also notice that even under
>> LXDE/openbox the xterm key bindings do not work. So I suspect it might
>> be an LXDE issue. I'll try and follow up with the LXDE people.
> 
> That's interesting. I haven't had a chance to experiment with LXDE but that does sound like something else in its session is trapping key bindings.
> 
>> Actually I can fairly easily sponsor you to get access to collab-maint
>> and I've done so for people before. On the other hand github is fine and
>> I use it for some of my packages. If you really want to own the
>> packaging then go for github or equivalent. If you're happy to let DD's
>> step in and fix problems directly in the repository then go for
>> collab-maint.
> 
> Getting access to collab-maint would be great. I have actually pushed my changes to github at https://github.com/jamesmcdonald/cwm/tree/v5.1-debian but I've still not set it up to use git-buildpackage. It's really just so I can track my own changes at this point. I intend to set cwm up for git-based builds in the future, even if just so I can learn how to do that.
> 
>> On 20/09/12 15:29, James McDonald wrote:
>>>
>>> Recommendation might make sense, but not dependency as it's possible to run a window manager on one host for an X server on a remote host. I will look at what some other simple window managers do.
>>
>> Could be Suggests as well.
> 
> I've investigated several other window managers and it looks like they don't make any recommendation/suggestion about having X itself installed. They only recommend associated projects, like metacity recommends gnome-session. On that basis, I should probably omit this.
> 
>> I was really hoping that this would be a drop in replacement for
>> openbox. I am not clear if this is doable. I am sure that the
>> README.Debian should document this (and similar) experiments.
> 
> In theory it should be possible to use it like that. Unfortunately it depends on the restrictions imposed by the environment (LXDE, Gnome etc). I shall set up a machine to experiment with this, but I guess it will be a while before I have any coherent documentation. I agree that it would be nice to be able to provide some tips for this sort of usage. Do you feel this is necessary before the package is uploaded?
> 
>> Anyway the package seems to do what it says on the tin. So I think there
>> is a good chance I should be able to upload your next build.
> 
> I've uploaded the latest version to mentors; here's a log from git of the changes I've made:
> 
> Fixed double spaces in package description.
> Changed debhelper dependency from >=9.0.0 to >=9
> Removed references to 9wm from the package description.
> Added Provides: x-window-manager
> Added scripts to handle x-window-manager alternative
> 
> Please let me know what you think.
> 
> Cheers,
> James
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, James McDonald <james@jamesmcdonald.com>:
Bug#505924; Package wnpp. (Mon, 26 Nov 2012 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, James McDonald <james@jamesmcdonald.com>. (Mon, 26 Nov 2012 20:39:06 GMT) Full text and rfc822 format available.

Message #65 received at 505924@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Nicholas Bamber <nicholas@periapt.co.uk>
Cc: James McDonald <james@jamesmcdonald.com>, 505924@bugs.debian.org, 677935@bugs.debian.org
Subject: Re: Bug#505924: cwm
Date: Mon, 26 Nov 2012 20:37:11 +0000
James.
	I still have a few issues:

1.) I didn't notice it first time but the last paragraph of the long
description is a bit like advertising.

2.) The upstream changelog issue is still there. I seem to recall
suggesting some solutions but at the least there should be a lintian
override.

3.) I am suspicious of cwm.postinst. I could look into what is required
a bit more, but let me know what you think about that.

On 14/11/12 23:25, Nicholas Bamber wrote:
> James,
> 	I got round to downloading the package today.
> 
> On 27/10/12 15:47, James McDonald wrote:
>> Hi Nicholas,
>>
>> Finally found some time to implement these changes!
>>
>> On 21 Sep 2012, at 01:56, Nicholas Bamber <nicholas@periapt.co.uk> wrote:
>>
>>> 	I followed your advice and it works. I can see the attraction of using
>>> cwm this way. However it might just be a step too far for me as copy and
>>> paste seems not to work.
>>
>> That might depend on which software you're using. For example, xterm will only support select-to-copy, middleclick-to-paste whereas eg gnome-terminal supports copy and paste in the Gnome/KDE fashion as well. The window manager itself doesn't restrict this but I know I've had similar frustrations mixing apps from different toolkits.
>>
>>> then indeed I do get cwm. However the key bindings (as documented in the
>>> man page) do not work. However I also notice that even under
>>> LXDE/openbox the xterm key bindings do not work. So I suspect it might
>>> be an LXDE issue. I'll try and follow up with the LXDE people.
>>
>> That's interesting. I haven't had a chance to experiment with LXDE but that does sound like something else in its session is trapping key bindings.
>>
>>> Actually I can fairly easily sponsor you to get access to collab-maint
>>> and I've done so for people before. On the other hand github is fine and
>>> I use it for some of my packages. If you really want to own the
>>> packaging then go for github or equivalent. If you're happy to let DD's
>>> step in and fix problems directly in the repository then go for
>>> collab-maint.
>>
>> Getting access to collab-maint would be great. I have actually pushed my changes to github at https://github.com/jamesmcdonald/cwm/tree/v5.1-debian but I've still not set it up to use git-buildpackage. It's really just so I can track my own changes at this point. I intend to set cwm up for git-based builds in the future, even if just so I can learn how to do that.
>>
>>> On 20/09/12 15:29, James McDonald wrote:
>>>>
>>>> Recommendation might make sense, but not dependency as it's possible to run a window manager on one host for an X server on a remote host. I will look at what some other simple window managers do.
>>>
>>> Could be Suggests as well.
>>
>> I've investigated several other window managers and it looks like they don't make any recommendation/suggestion about having X itself installed. They only recommend associated projects, like metacity recommends gnome-session. On that basis, I should probably omit this.
>>
>>> I was really hoping that this would be a drop in replacement for
>>> openbox. I am not clear if this is doable. I am sure that the
>>> README.Debian should document this (and similar) experiments.
>>
>> In theory it should be possible to use it like that. Unfortunately it depends on the restrictions imposed by the environment (LXDE, Gnome etc). I shall set up a machine to experiment with this, but I guess it will be a while before I have any coherent documentation. I agree that it would be nice to be able to provide some tips for this sort of usage. Do you feel this is necessary before the package is uploaded?
>>
>>> Anyway the package seems to do what it says on the tin. So I think there
>>> is a good chance I should be able to upload your next build.
>>
>> I've uploaded the latest version to mentors; here's a log from git of the changes I've made:
>>
>> Fixed double spaces in package description.
>> Changed debhelper dependency from >=9.0.0 to >=9
>> Removed references to 9wm from the package description.
>> Added Provides: x-window-manager
>> Added scripts to handle x-window-manager alternative
>>
>> Please let me know what you think.
>>
>> Cheers,
>> James
>>
>>
> 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#505924; Package wnpp. (Sun, 02 Dec 2012 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to James McDonald <james@jamesmcdonald.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 02 Dec 2012 10:45:03 GMT) Full text and rfc822 format available.

Message #70 received at 505924@bugs.debian.org (full text, mbox):

From: James McDonald <james@jamesmcdonald.com>
To: Nicholas Bamber <nicholas@periapt.co.uk>, 505924@bugs.debian.org
Cc: 677935@bugs.debian.org
Subject: Re: Bug#505924: cwm
Date: Sun, 2 Dec 2012 11:42:13 +0100
[Message part 1 (text/plain, inline)]
On 26 Nov 2012, at 21:37, Nicholas Bamber <nicholas@periapt.co.uk> wrote:

> 1.) I didn't notice it first time but the last paragraph of the long
> description is a bit like advertising.

I see what you mean. I've removed some of it and reworded the rest. Does that look OK now?

> 2.) The upstream changelog issue is still there. I seem to recall
> suggesting some solutions but at the least there should be a lintian
> override.

As this is the first Linux release of cwm, I've just copied the 'initial release' changelog from the README file. For future releases (hopefully coming soon) I'll make sure there is a more detailed log of changes based on the OpenBSD logs.

> 3.) I am suspicious of cwm.postinst. I could look into what is required
> a bit more, but let me know what you think about that.

This was derived from the behaviour of various other windows managers, including blackbox, openbox and fvwm. It's in line with the DPM as well: http://www.debian.org/doc/debian-policy/ap-pkg-alternatives.html

Cheers,
Jame
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, James McDonald <james@jamesmcdonald.com>:
Bug#505924; Package wnpp. (Sun, 02 Dec 2012 21:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, James McDonald <james@jamesmcdonald.com>. (Sun, 02 Dec 2012 21:39:06 GMT) Full text and rfc822 format available.

Message #75 received at 505924@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: James McDonald <james@jamesmcdonald.com>
Cc: 505924@bugs.debian.org, 677935@bugs.debian.org
Subject: Re: Bug#505924: cwm
Date: Sun, 02 Dec 2012 21:37:23 +0000
James,

	Thanks. I have downloaded and I will look.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, James McDonald <james@jamesmcdonald.com>:
Bug#505924; Package wnpp. (Mon, 08 Apr 2013 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, James McDonald <james@jamesmcdonald.com>. (Mon, 08 Apr 2013 18:27:03 GMT) Full text and rfc822 format available.

Message #80 received at 505924@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: James McDonald <james@jamesmcdonald.com>
Cc: 505924@bugs.debian.org, 677935@bugs.debian.org
Subject: Re: Bug#505924: cwm
Date: Mon, 08 Apr 2013 19:18:31 +0100
James,
	I have to apologize but I have been overwhelmed by stuff and I have to
cut back. I am sure you will find someone else to sponsor this.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#505924; Package wnpp. (Tue, 09 Apr 2013 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to James McDonald <james@jamesmcdonald.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 09 Apr 2013 18:45:04 GMT) Full text and rfc822 format available.

Message #85 received at 505924@bugs.debian.org (full text, mbox):

From: James McDonald <james@jamesmcdonald.com>
To: Nicholas Bamber <nicholas@periapt.co.uk>
Cc: 505924@bugs.debian.org, 677935@bugs.debian.org
Subject: Re: Bug#505924: cwm
Date: Tue, 09 Apr 2013 20:33:03 +0200
On 08/04/2013 20:18, Nicholas Bamber wrote:
> 	I have to apologize but I have been overwhelmed by stuff and I have to
> cut back. I am sure you will find someone else to sponsor this.
I know the feeling all too well! Thanks for all your advice; it helped a 
lot in getting the package into shape.




Added blocking bug(s) of 505924: 739056 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sat, 15 Feb 2014 16:30:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:15:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.